
Foreman - Bug #6713

Long names needs to be truncated while listing

07/22/2014 04:10 AM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1121938 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1646

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121938

Description of problem:

currently when you create an entity like OS, template, media with long names say 255 characters, UI doesn't truncate them while

listing. This actually affects the other fields while listing. Please see attached screenshot for media.

For now its affecting all foreman entities. So writing this as common bz for all foreman entities. If you want separate bz for other

entities, I'll be happy to do that.

Version-Release number of selected component (if applicable):

sat6 GA snap1

How reproducible:

always

Steps to Reproduce:

1. create Media, OS, template with long names say 255 char

2.

3.

Actual results:

UI doesn't truncate long names

Expected results:

Long names should be truncated while listing

Additional info:

Associated revisions

Revision adb487e0 - 09/15/2014 04:54 AM - Ori Rabin

Fixes #6713: Long names needs to be truncated while listing

Revision 37ea8b25 - 10/07/2014 07:58 AM - Ori Rabin

Fixes #6713: Long names needs to be truncated while listing

(cherry picked from commit adb487e05b284ff6a6462a9b49b14767f01e9d3d)

Conflicts:

app/assets/stylesheets/application.scss

app/views/common_parameters/index.html.erb

Revision f0e139ca - 10/07/2014 10:51 AM - Dominic Cleal

refs #6713 - fix ref to secure parameters attribute
https://bugzilla.redhat.com/show_bug.cgi?id=1121938


History

#1 - 07/22/2014 04:10 AM - Dominic Cleal

- Category set to Web Interface

- Priority changed from Normal to Low

#2 - 07/23/2014 09:42 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#3 - 08/03/2014 07:16 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1646 added

- Pull request deleted ()

#4 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#5 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#6 - 09/15/2014 05:03 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset adb487e05b284ff6a6462a9b49b14767f01e9d3d.

#7 - 09/21/2014 01:49 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 22
